summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2010-12-01 11:45:50 +0000
committerMike Frysinger <vapier@gentoo.org>2010-12-01 11:45:50 +0000
commit49636bf1b9c314bffea3d74fd97ba06c33e3a378 (patch)
tree7957e2594cfff0ed7edd1b5f5e84d640f58a99d9 /eclass
parentbump to 0.1.7 release, remove prerelease (diff)
downloadgentoo-2-49636bf1b9c314bffea3d74fd97ba06c33e3a378.tar.gz
gentoo-2-49636bf1b9c314bffea3d74fd97ba06c33e3a378.tar.bz2
gentoo-2-49636bf1b9c314bffea3d74fd97ba06c33e3a378.zip
switch myconf to `set` to handle spaces in args
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain-binutils.eclass43
1 files changed, 22 insertions, 21 deletions
diff --git a/eclass/toolchain-binutils.eclass b/eclass/toolchain-binutils.eclass
index 3ef1c02fecfb..813706dc3e6d 100644
--- a/eclass/toolchain-binutils.eclass
+++ b/eclass/toolchain-binutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-binutils.eclass,v 1.92 2010/12/01 11:22:11 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain-binutils.eclass,v 1.93 2010/12/01 11:45:50 vapier Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
#
@@ -194,27 +194,28 @@ toolchain-binutils_src_compile() {
echo
cd "${MY_BUILDDIR}"
- local myconf=""
+ set --
# new versions allow gold and ld; screw older versions
if grep -q 'enable-gold=both/ld' "${S}"/configure ; then
- myconf="${myconf} --enable-gold=both/ld"
+ set -- "$@" --enable-gold=both/ld
elif grep -q 'enable-gold=both/bfd' "${S}"/configure ; then
- myconf="${myconf} --enable-gold=both/bfd"
+ set -- "$@" --enable-gold=both/bfd
fi
if grep -q -e '--enable-plugins' "${S}"/ld/configure ; then
- myconf="${myconf} --enable-plugins"
+ set -- "$@" --enable-plugins
fi
use nls \
- && myconf="${myconf} --without-included-gettext" \
- || myconf="${myconf} --disable-nls"
- use multitarget && myconf="${myconf} --enable-targets=all"
- [[ -n ${CBUILD} ]] && myconf="${myconf} --build=${CBUILD}"
- is_cross && myconf="${myconf} --with-sysroot=/usr/${CTARGET}"
+ && set -- "$@" --without-included-gettext \
+ || set -- "$@" --disable-nls
+ use multitarget && set -- "$@" --enable-targets=all
+ [[ -n ${CBUILD} ]] && set -- "$@" --build=${CBUILD}
+ is_cross && set -- "$@" --with-sysroot=/usr/${CTARGET}
# glibc-2.3.6 lacks support for this ... so rather than force glibc-2.5+
# on everyone in alpha (for now), we'll just enable it when possible
- has_version ">=${CATEGORY}/glibc-2.5" && myconf="${myconf} --enable-secureplt"
- has_version ">=sys-libs/glibc-2.5" && myconf="${myconf} --enable-secureplt"
- myconf="--prefix=/usr \
+ has_version ">=${CATEGORY}/glibc-2.5" && set -- "$@" --enable-secureplt
+ has_version ">=sys-libs/glibc-2.5" && set -- "$@" --enable-secureplt
+ set -- "$@" \
+ --prefix=/usr \
--host=${CHOST} \
--target=${CTARGET} \
--datadir=${DATAPATH} \
@@ -227,9 +228,9 @@ toolchain-binutils_src_compile() {
--enable-64-bit-bfd \
--enable-shared \
--disable-werror \
- ${myconf} ${EXTRA_ECONF}"
- echo ./configure ${myconf}
- "${S}"/configure ${myconf} || die "configure failed"
+ ${EXTRA_ECONF}
+ echo ./configure "$@"
+ "${S}"/configure "$@" || die
emake all || die "emake failed"
@@ -253,13 +254,13 @@ toolchain-binutils_src_compile() {
if [[ ${x} != "UNSUPPORTED" ]] ; then
append-flags -I"${S}"/include
- myconf="--with-bfd-include-dir=${MY_BUILDDIR}/bfd \
+ set -- "$@" \
+ --with-bfd-include-dir=${MY_BUILDDIR}/bfd \
--with-libbfd=${MY_BUILDDIR}/bfd/libbfd.a \
--with-libiberty=${MY_BUILDDIR}/libiberty/libiberty.a \
- --with-binutils-ldscript-dir=${LIBPATH}/ldscripts \
- ${myconf}"
- echo ./configure ${myconf}
- ./configure ${myconf} || die "configure elf2flt failed"
+ --with-binutils-ldscript-dir=${LIBPATH}/ldscripts
+ echo ./configure "$@"
+ ./configure "$@" || die
emake || die "make elf2flt failed"
fi
fi